# kyinfo.py
#
# Copyright (C) 2010-2024  KylinSec, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Kylin Author(s):  liaowei <liaowei@kylinos.com.cn>
#

import logging
logger = logging.getLogger("pylorax.kyinfo")

import time


class Kyinfo(object):

    def __init__(self, product, version, isfinal, basearch, release):
        self.name = release.split()[0]
        self.milestone = release.split()[1]
        self.arch = basearch
        self.dist_id = self.name + "-" + self.milestone + "-" + basearch
        if "desktop" in  self.name.lower():
            self.installclass = "desktop-environment"
        elif "industrial" in self.name.lower():
            self.installclass = "industrial-environment"
        else:
            self.installclass = "server-environment"

    def write(self, outfile):
        # get lorax version
        try:
            import pylorax.version
        except ImportError:
            vernum = "devel"
        else:
            vernum = pylorax.version.num

        logger.info("writing .kylinsec-info file")
        with open(outfile, "w") as fobj:
            fobj.write("[dist]\n")
            fobj.write("name = {0.name}\n".format(self))
            fobj.write("milestone = {0.milestone}\n".format(self))
            fobj.write("arch = {0.arch}\n".format(self))
            fobj.write("dist_id = {0.dist_id}\n".format(self))
            fobj.write("installclass = {0.installclass}\n".format(self))
            fobj.write("touser = \n")







